Bug 26116 - Allow multiple suppression values
Summary: Allow multiple suppression values
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 23406
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-31 13:16 UTC by Andrew Fuerste-Henry
Modified: 2021-05-29 13:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-07-31 13:16:29 UTC
Right now, Koha will only suppress records where 942$n=1. It would be good to be able to suppress on multiple values in order to reflect a variety of reasons for suppression.
Comment 1 George Williams (NEKLS) 2020-07-31 13:41:37 UTC
+1 - good idea
Comment 2 Sarah Cornell 2021-04-20 13:47:50 UTC
+1!

In order to make it easier for staff to assign the suppression value, I redefined 1 to "Suppressed in OPAC" but now the line "Suppressed in OPAC" doesn't display on search results or detail pages.  

More flexibility in defining suppression values, please!
Comment 3 Katrin Fischer 2021-05-29 13:51:47 UTC
Now that we fixed bug 23406, I wonder how we could make this work best. 

The template check could be something like:

- if not empty or 0
- if value >= 1

?
Comment 4 Katrin Fischer 2021-05-29 13:52:58 UTC
(In reply to Sarah Cornell from comment #2)
> +1!
> 
> In order to make it easier for staff to assign the suppression value, I
> redefined 1 to "Suppressed in OPAC" but now the line "Suppressed in OPAC"
> doesn't display on search results or detail pages.  
> 
> More flexibility in defining suppression values, please!

This problem was now fixed by bug 23406 - it should show now when using an authorised value that has a code of 1 and any description.